is_context_customizable(3)

NAME
is_context_customizable - check whether SELinux context type is customizable by the administrator

SYNOPSIS
#include <selinux/selinux.h>

int is_context_customizable(const char *scon);

DESCRIPTION
This function checks whether the type of scon is in the /etc/selinux/{SELINUXTYPE}/context/customizable_types file. A customizable type is a file context type that administrators set on files, usually to allow certain domains to share the file content. restorecon and setfiles, by default, leave these context in place.

RETURN VALUE
Returns 1 if security context is customizable or 0 if it is not. Returns -1 on error.

FILE
/etc/selinux/{SELINUXTYPE}/context/customizable_types

SEE ALSO
selinux(8)